Dim $FilesDeleted = 0
Dim $FoldersDeleted = 0

$files = IniReadSection("delete.ini", "Files")
$folders = IniReadSection("delete.ini", "Folders")
$userfiles = IniReadSection("delete.ini", "UserAccountFiles")
$userfolders = IniReadSection("delete.ini", "UserAccountFolders")
$mydocs = IniRead("delete.ini", "Settings", "MyDocsDir", "") & "\"
$search = FileFindFirstFile($mydocs & "*.*")

If @error Then
	MsgBox(4096, "", "Error occured, probably no INI file.")
Else
	For $i = 1 To $files[0][0]
		$del = $files[$i][1]
		If FileExists($del) Then
			FileSetAttrib($del, "-NOTRASH")
			FileDelete($del)
			$FilesDeleted = $FilesDeleted + 1
		EndIf
	Next
	For $j = 1 To $folders[0][0]
		$del = $folders[$j][1]
		If FileExists($del) Then
			FileSetAttrib($del, "-NOTRASH")
			DirRemove($del, 1)
			$FoldersDeleted = $FoldersDeleted + 1
		EndIf
	Next
	While 1
		$file = FileFindNextFile($search)
		If $file = "" Then ExitLoop
		If $file <> "Default User" And $file <> "LocalService" And $file <> "All Users" And $file <> "NetworkService" Then
			For $k = 1 To $userfiles[0][0]
				$del = $userfiles[$k][1]
				If FileExists($mydocs & $file & "\" & $del) Then
					FileSetAttrib($mydocs & $file & "\" & $del, "-NOTRASH")
					FileDelete($mydocs & $file & "\" & $del)
					$FilesDeleted = $FilesDeleted + 1
				EndIf
			Next
			For $l = 1 To $userfolders[0][0]
				$del = $userfolders[$l][1]
				If FileExists($mydocs & $file & "\" & $del) Then
					FileSetAttrib($mydocs & $file & "\" & $del, "-NOTRASH")
					DirRemove($mydocs & $file & "\" & $del, 1)
					$FoldersDeleted = $FoldersDeleted + 1
				EndIf
			Next
		EndIf
	WEnd
EndIf

MsgBox(0, "Done", "Files Deleted:" & $FilesDeleted & " -- " & "Folders Deleted:" & $FoldersDeleted)
